Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QDomNodeList

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QDomNodeList

All Implemented Interfaces:
  QtJambiInterface

    public class QDomNodeList

extends QtJambiObject

The `QDomNodeList` class is a list of `QDomNode` objects.

Lists can be obtained by QDomDocument::elementsByTagName() and QDomNode::childNodes(). The Document Object Model (DOM) requires these lists to be "live": whenever you change the underlying document, the contents of the list will get updated.

You can get a particular node from the list with `item`. The number of items in the list is returned by `length`.

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the `QDomDocument` documentation.

See Also:
  `QDomNode::childNodes`, `QDomDocument::elementsByTagName`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QDomNodeList()` Creates an empty node list.
`QDomNodeList(QDomNodeList arg__1)` Constructs a copy of `arg__1`.

Method Summary
`QDomNode` | `at(int index)` This function is provided for Qt API consistency.
`int` | `count()` This function is provided for Qt API consistency.
`boolean` | `equals(java.lang.Object other)`
`static QDomNodeList` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QDomNodeList instance pointed to by nativePointer
`boolean` | `isEmpty()` Returns true if the list contains no items; otherwise returns false.
`QDomNode` | `item(int index)` Returns the node at position `index`.
`int` | `length()` Returns the number of nodes in the list.
`static QNativePointer` | `nativePointerArray(QDomNodeList[] array)` This function returns a QNativePointer that is pointing to the specified QDomNodeList array.
`int` | `size()` This function is provided for Qt API consistency.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDomNodeList

    public QDomNodeList()

  Creates an empty node list.

### QDomNodeList

    public QDomNodeList(QDomNodeList arg__1)

  Constructs a copy of `arg__1`.

Method Detail

### at

    public final QDomNode at(int index)

  This function is provided for Qt API consistency. It is equivalent to `item`.

  If `index` is negative or if `index` >= `length` then a null node is returned (i.e. a node for which QDomNode::isNull() returns true).

### count

    public final int count()

  This function is provided for Qt API consistency. It is equivalent to `length`.

### isEmpty

    public final boolean isEmpty()

  Returns true if the list contains no items; otherwise returns false. This function is provided for Qt API consistency.

### item

    public final QDomNode item(int index)

  Returns the node at position `index`.

  If `index` is negative or if `index` >= `length` then a null node is returned (i.e. a node for which QDomNode::isNull() returns true).

  See Also:
    `length`

### length

    public final int length()

  Returns the number of nodes in the list.

### size

    public final int size()

  This function is provided for Qt API consistency. It is equivalent to `length`.

### fromNativePointer

    public static QDomNodeList fromNativePointer(QNativePointer nativePointer)

  This function returns the QDomNodeList instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QDomNodeList[] array)

  This function returns a QNativePointer that is pointing to the specified QDomNodeList array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD